Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3599 - mke2fs -c receives sector read errors on partition greater than 2000Kb
Summary: mke2fs -c receives sector read errors on partition greater than 2000Kb
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-20 18:03 UTC by ctpate
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-10 20:56:06 UTC


Attachments (Terms of Use)

Description ctpate 1999-06-20 18:03:31 UTC
I do not know if this is a bug or if it is just a problem
that I had.  I was trying to install linux to dual boot
Win98.  I planned on creating a 250 - 300 Mb partition for
Win98 and use the rest for Linux.  I basically went through
4 - 5 installs before I could get the process to work.

The problem:

I always install using the custom process, and I always
select check for bad blocks when formatting a drive.  While
checking for bad blocks on a partition that was greater than
2000 Kb during a custom install, "mke2fs -c" would receive a
scrolling error about not reading the sector (I did not
write down the full error).  The sector number was
continuously incrementing.

The solution:

"Mke2fs -c" worked with a partition that was less than
2000Kb.

More Info:

On my first install, I installed Win98 first with a 300 Mb
partition.  During the Linux install I created swap=64,
/boot=24, /var=200, /tmp=100 and /~=2030.  The hard drive
was set up as LBA in BIOS.

I thought there might be a problem with LBA mode, and I did
a similar install with the drive set to NORMAL in BIOS.  I
still received the errors while checking for bad blocks.

I tried a server install without Win98 instead of a custom
install.  I believe this process does not check for bad
blocks.  This install worked.  I can not remember the
partition sizes.

I installed Win 98 again in a 250 Mb partition.  I performed
a custom install.  I created /boot=24, /var=256, /tmp=128,
swap=128 and /~=1930.  This worked.  I did not have any
problems checking for bad blocks the large partition.  The
drive was set for NORMAL in BIOS.

Comment 1 Jay Turner 2000-02-10 20:55:59 UTC
Issue is resolved in the latest installer.


Note You need to log in before you can comment on or make changes to this bug.